#!/bin/bash

# upgrade packages silently
sudo DEBIAN_FRONTEND=noninteractive apt-get update -qq 
sudo DEBIAN_FRONTEND=noninteractive apt-get -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" upgrade

# check the exit status of the previous command
if [ $? -eq 0 ]; then
  echo "Packages upgraded successfully"
else
  echo "Package upgrade failed"
fi

# Here's a bash script that upgrades packages silently without updating configuration on Ubuntu:

# This script runs apt-get upgrade with the -y flag to assume "yes" to all prompts, and the DEBIAN_FRONTEND=noninteractive environment variable to suppress dialogs. The Dpkg::Options options force the use of the existing configuration files during the upgrade process. The script then checks the exit status of the previous command and outputs a message indicating whether the upgrade was successful or not.